org.bdgenomics.adam.rdd.fragment

# InterleavedFASTQInFormatter

###
Related Docs: class InterleavedFASTQInFormatter | package fragment

#### object InterleavedFASTQInFormatter extends InFormatterCompanion[Fragment, FragmentRDD, InterleavedFASTQInFormatter] with Serializable

InFormatter companion that creates an InFormatter that writes interleaved FASTQ.

Linear Supertypes
Serializable, Serializable, InFormatterCompanion[Fragment, FragmentRDD, InterleavedFASTQInFormatter], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. InterleavedFASTQInFormatter
2. Serializable
3. Serializable
4. InFormatterCompanion
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val WRITE_ORIGINAL_QUAL: String

   Hadoop configuration path to check for a boolean value indicating whether the current or original read qualities should be written.

   Hadoop configuration path to check for a boolean value indicating whether the current or original read qualities should be written. True indicates to write the original qualities. The default is false.

5. #### val WRITE_SUFFIXES: String

   Hadoop configuration path to check for a boolean value indicating whether to write the "/1" "/2" suffixes to the read name that indicate whether a read is first or second in a pair.

   Hadoop configuration path to check for a boolean value indicating whether to write the "/1" "/2" suffixes to the read name that indicate whether a read is first or second in a pair. Default is false (no suffixes).

6. #### def apply(gRdd: FragmentRDD): InterleavedFASTQInFormatter

   Builds an InterleavedFASTQInFormatter to write Interleaved FASTQ.

   Builds an InterleavedFASTQInFormatter to write Interleaved FASTQ.

   gRdd

     GenomicRDD of Fragments. Used to get HadoopConfiguration.

   returns

     Returns a new Interleaved FASTQ InFormatter.

   Definition Classes
     InterleavedFASTQInFormatter → InFormatterCompanion

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

19. #### def toString(): String

    Definition Classes
      AnyRef → Any

20. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from InFormatterCompanion[Fragment, FragmentRDD, InterleavedFASTQInFormatter]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped